Replicon system requirements

To use Replicon, you need the following:

Internet

A high-speed connection

Browser(1)

The latest version of one of the following, with JavaScript and cookies enabled:

  • Microsoft Edge(2)
  • Mozilla Firefox
  • Google Chrome
  • Apple Safari

1 Replicon does not support use with beta or development versions of browsers.

2 See https://support.microsoft.com/en-in/help/17454/lifecycle-support-policy-faq-internet-explorer for the latest version supported for your version of Windows.